
#include <zephyr.h>
#include <logging/log.h>
#include <random/rand32.h>

LOG_MODULE_REGISTER(main, CONFIG_OT_COMMAND_LINE_INTERFACE_LOG_LEVEL);

void main(void)
{
  k_sleep(K_SECONDS(1));

  while (1)
  {
    LOG_INF("Calling sys_rand32_get() 200 times");

    for (int i=0; i < 200; i++)
    {
      sys_rand32_get();
    }
    
    LOG_INF("Sleeping 1 sec");
    
    k_sleep(K_SECONDS(1));
  }
}
